"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

"{ Package: 'stx:libwidg' }"

LibraryDefinition subclass:#stx_libwidg
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!

!stx_libwidg class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libwidg.
    This library contains elementary gui components (widgets).
"
! !

!stx_libwidg class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
	"/ <className> or (<className> attributes...)
	'ArrowButton'
	'Button'
	'ButtonController'
	'CheckLabel'
	'CheckToggle'
	'ClickMenuView'
	'CodeView'
	'DialogBox'
	'EditField'
	'EditTextView'
	'EnterBox'
	'EnterBox2'
	'EnterFieldGroup'
	'FileSaveBox'
	'FileSelectionBox'
	'FileSelectionList'
	'FontPanel'
	'FramedBox'
	'HVScrollableView'
	'HorizontalMiniScroller'
	'HorizontalPanelView'
	'HorizontalScrollBar'
	'HorizontalScroller'
	'InfoBox'
	'Label'
	'ListSelectionBox'
	'ListView'
	('ListViewController' #autoload)
	'MenuView'
	'MiniScroller'
	'MultiSelectionInList'
	'ObjectView'
	'OptionBox'
	'PanelView'
	'PopUpList'
	'PopUpListController'
	'PopUpMenu'
	'PullDownMenu'
	'RadioButton'
	'RadioButtonController'
	'RadioButtonGroup'
	'ScrollBar'
	'ScrollableView'
	'Scroller'
	'SelectionInList'
	'SelectionInListView'
	'SequenceView'
	'TextCollector'
	'TextView'
	'Toggle'
	'ToggleController'
	'VariableHorizontalPanel'
	'VariableHorizontalPanelController'
	'VariablePanel'
	'VariablePanelController'
	'VariableVerticalPanel'
	'VariableVerticalPanelController'
	'VerticalPanelView'
	'WarningBox'
	'Workspace'
	'YesNoBox'
	'stx_libwidg'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libwidg class methodsFor:'description - compilation'!

additionalDefinitions_nt_dot_mak
    ^ '
# see stdHeader_nt for LIBWIDG_BASE
# LIBWIDG_BASE   =0x64000000
LIB_BASE_LD_ARG=-b:$(LIBWIDG_BASE)
'
!

stcOptimizationOptions
    ^ '+optspace2'

    "Created: / 23-08-2006 / 11:27:05 / cg"
! !

!stx_libwidg class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Elementary Widgets'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libwidg class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg/stx_libwidg.st,v 1.11 2006-09-14 14:23:26 cg Exp $'
! !
